'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _draftJs = require('draft-js');

var changeCurrentBlockType = function changeCurrentBlockType(editorState, type) {
  var currentContent = editorState.getCurrentContent();
  var selection = editorState.getSelection();
  var newSelection = selection.merge({
    anchorOffset: 0,
    focusOffset: selection.focusOffset
  });
  var newContentState = _draftJs.Modifier.removeRange(currentContent, newSelection, 'backward');
  var newEditorState = _draftJs.EditorState.push(editorState, newContentState, 'backspace-character');
  return _draftJs.RichUtils.toggleBlockType(newEditorState, type);
};

exports.default = changeCurrentBlockType;