'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _changeCurrentBlockType = require('./changeCurrentBlockType');

var _changeCurrentBlockType2 = _interopRequireDefault(_changeCurrentBlockType);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var handleBlockType = function handleBlockType(editorState, character) {
  var currentSelection = editorState.getSelection();
  var key = currentSelection.getStartKey();
  var text = editorState.getCurrentContent().getBlockForKey(key).getText();
  var position = currentSelection.getAnchorOffset();
  var line = [text.slice(0, position), character, text.slice(position)].join('');
  var matchArr = line.match(/^[*-] (.*)$/);
  if (matchArr) {
    return (0, _changeCurrentBlockType2.default)(editorState, 'unordered-list-item', matchArr[1]);
  }
  matchArr = line.match(/^[\d]\. (.*)$/);
  if (matchArr) {
    return (0, _changeCurrentBlockType2.default)(editorState, 'ordered-list-item', matchArr[1]);
  }
  matchArr = line.match(/^\[\] (.*)$/);
  if (matchArr) {
    return (0, _changeCurrentBlockType2.default)(editorState, 'todo', matchArr[1]);
  }
  return editorState;
};

exports.default = handleBlockType;